API
API
Back to appIntroductionAuthenticationQuickstartCore conceptsUploading callsGetting resultsWebhooksPagination and searchErrorsRate limits and billing
Create a new project POSTGet a single project GETList all projects for the authenticated user GETUpdate project name or description PUT
ReferenceProjects

Update project name or description

PUT/v1/projects/{projectId}

Authorization

ApiKeyAuth
X-API-Key<token>

Organization API key. Format: X-API-Key: at_live_...

In: header

Path Parameters

projectId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

*/*

curl -X PUT "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",  "name": "string",  "description": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}

List all projects for the authenticated user GET

Previous Page

Create a speaker preset POST

Next Page

name?string
description?string